Subject: Re: Catching g++ error output
From: [email-masked] (Ku Wei)

18 Apr 1997 18:45:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: James Paul Morgan <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

try to use 2>
example: g++ -c file.c -o file.o > out.txt 2> err.txt

Sincerely,
Wei Ku

***************************************
Department of Physics and Astronomy
The University of Tennessee
1408 Circle Drive
Knoxville, Tennessee 37996-1200
[email-masked]
---------------------------------------
Solid State Division
Oak Ridge National Laboratory
P.O.Box 2008
Oak Ridge, TN 37831-6032
Phone: (423) 574-5795
Fax: (423) 574-4143
[email-masked]
***************************************

On Fri, 18 Apr 1997, James Paul Morgan wrote:

> Well, this question is less about the Cygnus win32 itself and more about 
> one of the tools included with it, but...
> 
> 
> Is there any way to capture the error output from g++ when it fails on a 
> compile?  Sometimes, a few simple typos or minor bugs can generate more 
> than a screen-full of output, and so I loose the earliest lines.  
> 
> On UNIX w/ Xwindows, I can just scroll back within the window.  But 
> Windows95 doesn't have that option.  I've tried using '>' to dump it into 
> a file, but that didn't work.  (I didn't expect it to as it doesn't on 
> UNIX, but I figured I'd try.)  
> 
> Any suggestions of some way to manipulate the bash or possibly an add-on 
> I could download or some simple trick I've just missed would be appreciated.
> 
> 
> See ya around the Mulberry bush.
> 
> --James
> 
> :)
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".